MariaDB Galera Cluster 10.0.21 Release Notes

Download Release Notes Changelog Overview of MariaDB Galera Cluster

Release date: 18 Aug 2015

MariaDB Galera Cluster 10.0.21 is a Stable (GA) release. It is a merge of MariaDB 10.0.21 and Galera Cluster with additional bug fixes.

Various articles about MariaDB Galera Cluster, including known limitations and how to get started are available in the Galera section of the Knowledge Base.

For a list of changes made in MariaDB Galera Cluster 10.0.21, with links to detailed information on each push, see the MariaDB Galera Cluster 10.0.21 Changelog.

Updates and fixes in this version

  • This release is mainly a bug-fix release.
  • The Galera library used by MariaDB Galera Cluster and included in the MariaDB repositories is currently at version 25.3.9.
  • ALTER TABLE EXCHANGE PARTITION command was not getting replicated to other nodes in the cluster. (MDEV-7501)
  • GRANT/REVOKE role commands were not getting replicated to other nodes in the cluster. (MDEV-8434)
  • CREATE/ALTER VIEW commands were not replicated properly if ALGORITHM clause was missing. (MDEV-8464)
  • RENAME TABLE command was getting replicated and executed on other nodes even when the user did not have sufficient privileges. (MDEV-8598)

Notes

  • Running MariaDB Galera Cluster 5.5 and 10.0 nodes in a cluster is not supported (MDEV-6257)
  • This version of MariaDB Galera Cluster supports wsrep API v25 which means MariaDB Galera Cluster can be used with either a 25.2.x or 25.3.x Galera wsrep provider. A 25.3.x wsrep provider is included in the MariaDB repositories and is also available from the downloads page.
  • On Ubuntu and Debian, the Galera Arbitrator daemon (garbd) and the galera library are in two separate packages. The packages are named galera-3 and galera-arbitrator-3. When installing MariaDB Galera Cluster on Ubuntu and Debian (the mariadb-galera-server package), the galera-3 package will be automatically installed. You can then install the arbitrator package on a separate node (recommended) or on one of the nodes running mariadb-galera-server (not recommended).

Note: If Galera 25.2.x and 25.3.x are both being used in the cluster, MariaDB with Galera 25.3.x must be started with wsrep_provider_options='socket.checksum=1' in order to make it backward compatible with Galera v2. Galera wsrep providers other than 25.3.x or 25.2.x are not supported.

Thanks, and enjoy MariaDB Galera Cluster!

Comments

Comments loading...